<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\EscopoManutService;

class EscopoManutController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $EscopoManutService;
   
    public function __construct($crudService, $environment, EscopoManutService $EscopoManutService) {
        parent::__construct($crudService, $environment);
        $this->EscopoManutService = $EscopoManutService;
    }
    
    public function escopo(DTO\Request $request, DTO\Response $response) {
       $response->addDataSet(new DataSet('escopo', $this->EscopoManutService->escopo()));
    }
}

?>